## Class DistributoreCarte

    java.lang.Object
      DistributoreCarte

    public class DistributoreCarte

extends java.lang.Object

Alla fine del turno di ogni giocatore, ad esso gli viene data una carta se durante la fase di attacco (o quella di difesa del turno precedente) ha conquistato almeno un territorio.

Version:
  1.0.0
Author:
  Alessio Treglia

Constructor Summary
`DistributoreCarte()`

Method Summary
`static boolean` `daiCarta(Giocatore g)` Distribuisce una carta a un giocatore che abbia conquistato almeno un territorio durante il suo turno di attacco (o il precedente turno di difesa).

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributoreCarte

    public DistributoreCarte()

Method Detail

### daiCarta

    public static boolean daiCarta(Giocatore g)

  Distribuisce una carta a un giocatore che abbia conquistato almeno un territorio durante il suo turno di attacco (o il precedente turno di difesa).

  Parameters:
    `g` - `Giocatore` al quale dare la carta
  Returns:
    `true` se al giocatore viene data una carta